<?php


return  
    [
        'model' => [
            'model' => \Bixo\Contractsform\Models\Certificate::class,
            'table' => 'bixo_contractsform_certificates',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['car_model',  'car_year',  'vin_number',  'comments',  'invoice',  'export_documents',  'certificates',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'contractsform/certificate',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "car_model", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.car_model', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_year", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.car_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "vin_number", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.vin_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "comments", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.comments', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.invoice', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "export_documents", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.export_documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "certificates", 
                "type" => "text", 
                "label" => 'contractsform::certificate.label.certificates', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'car_model',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::certificate.label.car_model',
                "placeholder" => 'contractsform::certificate.placeholder.car_model',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_year',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'contractsform::certificate.label.car_year',
                "placeholder" => 'contractsform::certificate.placeholder.car_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'vin_number',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::certificate.label.vin_number',
                "placeholder" => 'contractsform::certificate.placeholder.vin_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'comments',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::certificate.label.comments',
                "placeholder" => 'contractsform::certificate.placeholder.comments',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'contractsform::certificate.label.invoice',
                "placeholder" => 'contractsform::certificate.placeholder.invoice',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'export_documents',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'contractsform::certificate.label.export_documents',
                "placeholder" => 'contractsform::certificate.placeholder.export_documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'certificates',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'contractsform::certificate.label.certificates',
                "placeholder" => 'contractsform::certificate.placeholder.certificates',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contractsform/certificate/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contractsform/certificate/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contractsform/certificate',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contractsform/certificate',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contractsform/certificate',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contractsform/certificate',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'contractsform::certificate.label.created_at',
            'name' => 'contractsform::certificate.label.name',
            'status' => 'contractsform::certificate.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contractsform::certificate.groups.main",
                'group' => "main.main",
                'title' => "contractsform::certificate.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "contractsform::certificate.groups.details",
                'group' => "main.details",
                'title' => "contractsform::certificate.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contractsform::certificate.groups.images",
                'group' => "main.images",
                'title' => "contractsform::certificate.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contractsform::certificate.groups.settings",
                'group' => "main.settings",
                'title' => "contractsform::certificate.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Contractsform',
            'module' => 'Certificate',
        ],

        
        
    ];
