<?php


return  
    [
        'model' => [
            'model' => \Bixo\Contractsform\Models\Contract::class,
            'table' => 'bixo_contractsform_contracts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['company_name',  'company_address',  'person_name',  'person_email',  'person_designation',  'person_mobile',  'company_trade_license',  'purchase_order',  'comments',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'contractsform/contract',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "company_name", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.company_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_address", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.company_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "person_name", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.person_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "person_email", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.person_email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "person_designation", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.person_designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "person_mobile", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.person_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_trade_license", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.company_trade_license', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "purchase_order", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.purchase_order', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "comments", 
                "type" => "text", 
                "label" => 'contractsform::contract.label.comments', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'company_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.company_name',
                "placeholder" => 'contractsform::contract.placeholder.company_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_address',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.company_address',
                "placeholder" => 'contractsform::contract.placeholder.company_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'person_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.person_name',
                "placeholder" => 'contractsform::contract.placeholder.person_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'person_email',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.person_email',
                "placeholder" => 'contractsform::contract.placeholder.person_email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'person_designation',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.person_designation',
                "placeholder" => 'contractsform::contract.placeholder.person_designation',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'person_mobile',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.person_mobile',
                "placeholder" => 'contractsform::contract.placeholder.person_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_trade_license',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'contractsform::contract.label.company_trade_license',
                "placeholder" => 'contractsform::contract.placeholder.company_trade_license',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'purchase_order',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'contractsform::contract.label.purchase_order',
                "placeholder" => 'contractsform::contract.placeholder.purchase_order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'comments',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::contract.label.comments',
                "placeholder" => 'contractsform::contract.placeholder.comments',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contractsform/contract/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contractsform/contract/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contractsform/contract',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contractsform/contract',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contractsform/contract',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contractsform/contract',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'contractsform::contract.label.created_at',
            'name' => 'contractsform::contract.label.name',
            'status' => 'contractsform::contract.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contractsform::contract.groups.main",
                'group' => "main.main",
                'title' => "contractsform::contract.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "contractsform::contract.groups.details",
                'group' => "main.details",
                'title' => "contractsform::contract.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contractsform::contract.groups.images",
                'group' => "main.images",
                'title' => "contractsform::contract.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contractsform::contract.groups.settings",
                'group' => "main.settings",
                'title' => "contractsform::contract.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Contractsform',
            'module' => 'Contract',
        ],

        
        
    ];
