<?php


return  
    [
        'model' => [
            'model' => \Bixo\Contractsform\Models\Deal::class,
            'table' => 'bixo_contractsform_deals',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['agent_name',  'agent_mobile',  'client_name',  'client_mobile',  'client_location',  'car_make',  'car_model',  'car_year',  'car_color',  'car_quantity',  'destination',  'agent_target_amount',  'agent_commission_amount',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'contractsform/deal',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "agent_name", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.agent_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_mobile", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.agent_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_name", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.client_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_mobile", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.client_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_location", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.client_location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_make", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.car_make', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_model", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.car_model', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_year", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.car_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_color", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.car_color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_quantity", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.car_quantity', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "destination", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.destination', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_target_amount", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.agent_target_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_commission_amount", 
                "type" => "text", 
                "label" => 'contractsform::deal.label.agent_commission_amount', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'agent_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.agent_name',
                "placeholder" => 'contractsform::deal.placeholder.agent_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_mobile',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.agent_mobile',
                "placeholder" => 'contractsform::deal.placeholder.agent_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.client_name',
                "placeholder" => 'contractsform::deal.placeholder.client_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_mobile',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.client_mobile',
                "placeholder" => 'contractsform::deal.placeholder.client_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_location',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.client_location',
                "placeholder" => 'contractsform::deal.placeholder.client_location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_make',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.car_make',
                "placeholder" => 'contractsform::deal.placeholder.car_make',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_model',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.car_model',
                "placeholder" => 'contractsform::deal.placeholder.car_model',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_year',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'contractsform::deal.label.car_year',
                "placeholder" => 'contractsform::deal.placeholder.car_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.car_color',
                "placeholder" => 'contractsform::deal.placeholder.car_color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_quantity',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'contractsform::deal.label.car_quantity',
                "placeholder" => 'contractsform::deal.placeholder.car_quantity',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'destination',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::deal.label.destination',
                "placeholder" => 'contractsform::deal.placeholder.destination',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_target_amount',
                "element" => 'package::package.formcontrols.DECIMAL',
                "type" => 'package::package.formcontrols.DECIMAL',
                "label" => 'contractsform::deal.label.agent_target_amount',
                "placeholder" => 'contractsform::deal.placeholder.agent_target_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_commission_amount',
                "element" => 'package::package.formcontrols.DECIMAL',
                "type" => 'package::package.formcontrols.DECIMAL',
                "label" => 'contractsform::deal.label.agent_commission_amount',
                "placeholder" => 'contractsform::deal.placeholder.agent_commission_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contractsform/deal/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contractsform/deal/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contractsform/deal',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contractsform/deal',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contractsform/deal',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contractsform/deal',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'contractsform::deal.label.created_at',
            'name' => 'contractsform::deal.label.name',
            'status' => 'contractsform::deal.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contractsform::deal.groups.main",
                'group' => "main.main",
                'title' => "contractsform::deal.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "contractsform::deal.groups.details",
                'group' => "main.details",
                'title' => "contractsform::deal.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contractsform::deal.groups.images",
                'group' => "main.images",
                'title' => "contractsform::deal.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contractsform::deal.groups.settings",
                'group' => "main.settings",
                'title' => "contractsform::deal.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Contractsform',
            'module' => 'Deal',
        ],

        
        
    ];
