<?php


return  
    [
        'model' => [
            'model' => \Bixo\Contractsform\Models\Quotation::class,
            'table' => 'bixo_contractsform_quotations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['car_make',  'car_model',  'car_year',  'location',  'destination',  'transport',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'contractsform/quotation',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "car_make", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.car_make', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_model", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.car_model', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_year", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.car_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "destination", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.destination', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transport", 
                "type" => "text", 
                "label" => 'contractsform::quotation.label.transport', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'car_make',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::quotation.label.car_make',
                "placeholder" => 'contractsform::quotation.placeholder.car_make',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_model',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::quotation.label.car_model',
                "placeholder" => 'contractsform::quotation.placeholder.car_model',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_year',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'contractsform::quotation.label.car_year',
                "placeholder" => 'contractsform::quotation.placeholder.car_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::quotation.label.location',
                "placeholder" => 'contractsform::quotation.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'destination',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::quotation.label.destination',
                "placeholder" => 'contractsform::quotation.placeholder.destination',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transport',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'contractsform::quotation.label.transport',
                "placeholder" => 'contractsform::quotation.placeholder.transport',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contractsform/quotation/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contractsform/quotation/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contractsform/quotation',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contractsform/quotation',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contractsform/quotation',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contractsform/quotation',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'contractsform::quotation.label.created_at',
            'name' => 'contractsform::quotation.label.name',
            'status' => 'contractsform::quotation.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contractsform::quotation.groups.main",
                'group' => "main.main",
                'title' => "contractsform::quotation.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "contractsform::quotation.groups.details",
                'group' => "main.details",
                'title' => "contractsform::quotation.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contractsform::quotation.groups.images",
                'group' => "main.images",
                'title' => "contractsform::quotation.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contractsform::quotation.groups.settings",
                'group' => "main.settings",
                'title' => "contractsform::quotation.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Contractsform',
            'module' => 'Quotation',
        ],

        
        
    ];
