<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoContractsformDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_contractsform_deals
         */
        Schema::create('bixo_contractsform_deals', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.VARCHAR('agent_name')->nullable();
            $table->package::package.fieldtype.VARCHAR('agent_mobile')->nullable();
            $table->package::package.fieldtype.VARCHAR('client_name')->nullable();
            $table->package::package.fieldtype.VARCHAR('client_mobile')->nullable();
            $table->package::package.fieldtype.VARCHAR('client_location')->nullable();
            $table->package::package.fieldtype.VARCHAR('car_make')->nullable();
            $table->package::package.fieldtype.VARCHAR('car_model')->nullable();
            $table->package::package.fieldtype.INT('car_year')->nullable();
            $table->package::package.fieldtype.VARCHAR('car_color')->nullable();
            $table->package::package.fieldtype.INT('car_quantity')->nullable();
            $table->package::package.fieldtype.VARCHAR('destination')->nullable();
            $table->package::package.fieldtype.DECIMAL('agent_target_amount')->nullable();
            $table->package::package.fieldtype.DECIMAL('agent_commission_amount')->nullable();
            $table->package::package.fieldtype.INT('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_contractsform_deals');
    }
}
