<?php

namespace Bixo\Contractsform\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ContractTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_contractsform_contracts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.contractsform.contract.view',
                'name'      => 'View Contract',
            ],
            [
                'slug'      => 'bixo.contractsform.contract.create',
                'name'      => 'Create Contract',
            ],
            [
                'slug'      => 'bixo.contractsform.contract.edit',
                'name'      => 'Update Contract',
            ],
            [
                'slug'      => 'bixo.contractsform.contract.delete',
                'name'      => 'Delete Contract',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contractsform/contract',
                'name'        => 'Contract',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contractsform/contract',
                'name'        => 'Contract',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'contract',
                'name'        => 'Contract',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contractsform',
                'module'    => 'Contract',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.contractsform.contract.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
