<?php

namespace Bixo\Contractsform\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class QuotationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_contractsform_quotations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.contractsform.quotation.view',
                'name'      => 'View Quotation',
            ],
            [
                'slug'      => 'bixo.contractsform.quotation.create',
                'name'      => 'Create Quotation',
            ],
            [
                'slug'      => 'bixo.contractsform.quotation.edit',
                'name'      => 'Update Quotation',
            ],
            [
                'slug'      => 'bixo.contractsform.quotation.delete',
                'name'      => 'Delete Quotation',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contractsform/quotation',
                'name'        => 'Quotation',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contractsform/quotation',
                'name'        => 'Quotation',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'quotation',
                'name'        => 'Quotation',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contractsform',
                'module'    => 'Quotation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.contractsform.quotation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
