<?php

namespace Bixo\Contractsform\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Contractsform\Models\Quotation;


class QuotationAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.contractsform.quotation';
    protected $eventClass = \Bixo\Contractsform\Events\QuotationAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Quotation $quotation, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $quotation;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Quotation $quotation, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $quotation = $quotation->create($attributes);
        return $quotation;
    }

    public function update(Quotation $quotation, array $request)
    {
        $attributes = $request;
        $quotation->update($attributes);
        return $quotation;
    }

    public function destroy(Quotation $quotation, array $request)
    {
        $quotation->delete();
        return $quotation;
    }

    public function copy(Quotation $quotation, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $quotation = $quotation->replicate();
            $quotation->created_at = Carbon::now();
            $quotation->save();
            return $quotation;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $quotation->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $quotation;
    }


}
