<?php

namespace Bixo\Contractsform\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Tender policy
        \Bixo\Contractsform\Models\Tender::class 
        => \Bixo\Contractsform\Policies\TenderPolicy::class,// Bind Contract policy
        \Bixo\Contractsform\Models\Contract::class 
        => \Bixo\Contractsform\Policies\ContractPolicy::class,// Bind Deal policy
        \Bixo\Contractsform\Models\Deal::class 
        => \Bixo\Contractsform\Policies\DealPolicy::class,// Bind Quotation policy
        \Bixo\Contractsform\Models\Quotation::class 
        => \Bixo\Contractsform\Policies\QuotationPolicy::class,// Bind Certificate policy
        \Bixo\Contractsform\Models\Certificate::class 
        => \Bixo\Contractsform\Policies\CertificatePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
